Index: /trunk/package-lock.json
===================================================================
--- /trunk/package-lock.json	(revision 53163)
+++ /trunk/package-lock.json	(revision 53164)
@@ -6696,7 +6696,7 @@
 		},
 		"backbone": {
-			"version": "1.4.0",
-			"resolved": "https://registry.npmjs.org/backbone/-/backbone-1.4.0.tgz",
-			"integrity": "sha512-RLmDrRXkVdouTg38jcgHhyQ/2zjg7a8E6sz2zxfz21Hh17xDJYUHBZimVIt5fUyS8vbfpeSmTL3gUjTEvUV3qQ==",
+			"version": "1.4.1",
+			"resolved": "https://registry.npmjs.org/backbone/-/backbone-1.4.1.tgz",
+			"integrity": "sha512-ADy1ztN074YkWbHi8ojJVFe3vAanO/lrzMGZWUClIP7oDD/Pjy2vrASraUP+2EVCfIiTtCW4FChVow01XneivA==",
 			"requires": {
 				"underscore": ">=1.8.3"
@@ -7978,7 +7978,7 @@
 		},
 		"clipboard": {
-			"version": "2.0.8",
-			"resolved": "https://registry.npmjs.org/clipboard/-/clipboard-2.0.8.tgz",
-			"integrity": "sha512-Y6WO0unAIQp5bLmk1zdThRhgJt/x3ks6f30s3oE3H1mgIEU33XyQjEf8gsf6DxC7NPX8Y1SsNWjUjL/ywLnnbQ==",
+			"version": "2.0.10",
+			"resolved": "https://registry.npmjs.org/clipboard/-/clipboard-2.0.10.tgz",
+			"integrity": "sha512-cz3m2YVwFz95qSEbCDi2fzLN/epEN9zXBvfgAoGkvGOJZATMl9gtTDVOtBYkx2ODUJl2kvmud7n32sV2BpYR4g==",
 			"requires": {
 				"good-listener": "^1.2.2",
@@ -24182,7 +24182,7 @@
 		},
 		"underscore": {
-			"version": "1.13.1",
-			"resolved": "https://registry.npmjs.org/underscore/-/underscore-1.13.1.tgz",
-			"integrity": "sha512-hzSoAVtJF+3ZtiFX0VgfFPHEDRm7Y/QPjGyNo4TVdnDTdft3tr8hEkD25a1jC+TjTuE7tkHGKkhwCgs9dgBB2g=="
+			"version": "1.13.2",
+			"resolved": "https://registry.npmjs.org/underscore/-/underscore-1.13.2.tgz",
+			"integrity": "sha512-ekY1NhRzq0B08g4bGuX4wd2jZx5GnKz6mKSqFL4nqBlfyMGiG10gDFhDTMEfYmDL6Jy0FUIZp7wiRB+0BP7J2g=="
 		},
 		"underscore.string": {
Index: /trunk/package.json
===================================================================
--- /trunk/package.json	(revision 53163)
+++ /trunk/package.json	(revision 53164)
@@ -131,6 +131,6 @@
 		"@wordpress/widgets": "2.4.1",
 		"@wordpress/wordcount": "3.6.0",
-		"backbone": "1.4.0",
-		"clipboard": "2.0.8",
+		"backbone": "1.4.1",
+		"clipboard": "2.0.10",
 		"core-js-url-browser": "3.6.4",
 		"element-closest": "^2.0.2",
@@ -151,5 +151,5 @@
 		"regenerator-runtime": "0.13.9",
 		"twemoji": "14.0.2",
-		"underscore": "1.13.1",
+		"underscore": "1.13.2",
 		"whatwg-fetch": "3.6.2"
 	},
Index: /trunk/src/wp-includes/assets/script-loader-packages.php
===================================================================
--- /trunk/src/wp-includes/assets/script-loader-packages.php	(revision 53163)
+++ /trunk/src/wp-includes/assets/script-loader-packages.php	(revision 53164)
@@ -1,1 +1,1 @@
-<?php return array('a11y.js' => array('dependencies' => array('wp-dom-ready', 'wp-i18n', 'wp-polyfill'), 'version' => '9955a48198ad4f2bd749aa49d40211c2'), 'annotations.js' => array('dependencies' => array('lodash', 'wp-data', 'wp-hooks', 'wp-i18n', 'wp-polyfill', 'wp-rich-text'), 'version' => '0b465be2288cfd18559519b5a6e1fb43'), 'api-fetch.js' => array('dependencies' => array('wp-i18n', 'wp-polyfill', 'wp-url'), 'version' => '3f6a6af95ed243112cc4aba4577879c9'), 'autop.js' => array('dependencies' => array('wp-polyfill'), 'version' => 'b22574be41df92ce2707c19720f8a6e4'), 'blob.js' => array('dependencies' => array('wp-polyfill'), 'version' => 'ac62b64d31905319c4b0207639b9e7dd'), 'block-directory.js' => array('dependencies' => array('lodash', 'wp-a11y', 'wp-api-fetch', 'wp-block-editor', 'wp-blocks', 'wp-components', 'wp-compose', 'wp-core-data', 'wp-data', 'wp-edit-post', 'wp-editor', 'wp-element', 'wp-hooks', 'wp-html-entities', 'wp-i18n', 'wp-notices', 'wp-plugins', 'wp-polyfill', 'wp-primitives', 'wp-url'), 'version' => '69dfff3260de53732af84ba07e2c9ec3'), 'block-editor.js' => array('dependencies' => array('lodash', 'react', 'react-dom', 'wp-a11y', 'wp-api-fetch', 'wp-blob', 'wp-blocks', 'wp-components', 'wp-compose', 'wp-data', 'wp-date', 'wp-deprecated', 'wp-dom', 'wp-element', 'wp-hooks', 'wp-html-entities', 'wp-i18n', 'wp-is-shallow-equal', 'wp-keyboard-shortcuts', 'wp-keycodes', 'wp-notices', 'wp-polyfill', 'wp-primitives', 'wp-rich-text', 'wp-shortcode', 'wp-token-list', 'wp-url', 'wp-warning', 'wp-wordcount'), 'version' => 'df9e66b0351a553834ab46fc3c44ff02'), 'block-library.js' => array('dependencies' => array('lodash', 'moment', 'wp-a11y', 'wp-api-fetch', 'wp-autop', 'wp-blob', 'wp-block-editor', 'wp-blocks', 'wp-components', 'wp-compose', 'wp-core-data', 'wp-data', 'wp-date', 'wp-deprecated', 'wp-dom', 'wp-element', 'wp-hooks', 'wp-html-entities', 'wp-i18n', 'wp-keycodes', 'wp-notices', 'wp-polyfill', 'wp-primitives', 'wp-reusable-blocks', 'wp-rich-text', 'wp-server-side-render', 'wp-url', 'wp-viewport'), 'version' => 'eb6e4a700236d2b8a42fb02369fa6dea'), 'block-serialization-default-parser.js' => array('dependencies' => array('wp-polyfill'), 'version' => 'e5be172c9d2a70d194446e28dca7b92a'), 'blocks.js' => array('dependencies' => array('lodash', 'wp-autop', 'wp-blob', 'wp-block-serialization-default-parser', 'wp-compose', 'wp-data', 'wp-deprecated', 'wp-dom', 'wp-element', 'wp-hooks', 'wp-html-entities', 'wp-i18n', 'wp-is-shallow-equal', 'wp-polyfill', 'wp-shortcode'), 'version' => '790bfa4f523b76df7bf8191c0bff9889'), 'components.js' => array('dependencies' => array('lodash', 'moment', 'react', 'react-dom', 'wp-a11y', 'wp-compose', 'wp-date', 'wp-deprecated', 'wp-dom', 'wp-element', 'wp-escape-html', 'wp-hooks', 'wp-i18n', 'wp-is-shallow-equal', 'wp-keycodes', 'wp-polyfill', 'wp-primitives', 'wp-rich-text', 'wp-warning'), 'version' => '95b978c4a62c0092bfa75c8c8400180a'), 'compose.js' => array('dependencies' => array('lodash', 'react', 'wp-deprecated', 'wp-dom', 'wp-element', 'wp-is-shallow-equal', 'wp-keycodes', 'wp-polyfill', 'wp-priority-queue'), 'version' => 'dc2ae0a43d6d3e8df429d09a561e3723'), 'core-data.js' => array('dependencies' => array('lodash', 'wp-api-fetch', 'wp-blocks', 'wp-data', 'wp-deprecated', 'wp-element', 'wp-html-entities', 'wp-i18n', 'wp-is-shallow-equal', 'wp-polyfill', 'wp-url'), 'version' => 'd061dfc2fd7b4900502ba87422cbbd3a'), 'customize-widgets.js' => array('dependencies' => array('lodash', 'wp-a11y', 'wp-block-editor', 'wp-block-library', 'wp-blocks', 'wp-components', 'wp-compose', 'wp-core-data', 'wp-data', 'wp-deprecated', 'wp-dom', 'wp-element', 'wp-hooks', 'wp-i18n', 'wp-is-shallow-equal', 'wp-keyboard-shortcuts', 'wp-keycodes', 'wp-media-utils', 'wp-plugins', 'wp-polyfill', 'wp-preferences', 'wp-primitives', 'wp-viewport', 'wp-widgets'), 'version' => 'f4bafb377016a586b81a90de6c8bf4b2'), 'data.js' => array('dependencies' => array('lodash', 'react', 'wp-compose', 'wp-deprecated', 'wp-element', 'wp-is-shallow-equal', 'wp-polyfill', 'wp-priority-queue', 'wp-redux-routine'), 'version' => 'a33a32786c3c4497cd5042b84387fbf2'), 'data-controls.js' => array('dependencies' => array('wp-api-fetch', 'wp-data', 'wp-deprecated', 'wp-polyfill'), 'version' => '12589686f5ca4db76be8584499da3a1b'), 'date.js' => array('dependencies' => array('moment', 'wp-polyfill'), 'version' => 'd738b2eefff50c40257956fde81bbc1f'), 'deprecated.js' => array('dependencies' => array('wp-hooks', 'wp-polyfill'), 'version' => '69a7e2ea1d8d5392bb0b6db66d5c4500'), 'dom.js' => array('dependencies' => array('lodash', 'wp-polyfill'), 'version' => 'a1847daeecaa2a6b272f60939db87cef'), 'dom-ready.js' => array('dependencies' => array('wp-polyfill'), 'version' => '03774ef51ae4221a441bcb7fc87d83d3'), 'edit-post.js' => array('dependencies' => array('lodash', 'wp-a11y', 'wp-api-fetch', 'wp-block-editor', 'wp-block-library', 'wp-blocks', 'wp-components', 'wp-compose', 'wp-core-data', 'wp-data', 'wp-deprecated', 'wp-editor', 'wp-element', 'wp-hooks', 'wp-i18n', 'wp-keyboard-shortcuts', 'wp-keycodes', 'wp-media-utils', 'wp-notices', 'wp-plugins', 'wp-polyfill', 'wp-preferences', 'wp-primitives', 'wp-url', 'wp-viewport', 'wp-warning'), 'version' => '073e1c606e69dc272ea62a2b39ceb009'), 'edit-site.js' => array('dependencies' => array('lodash', 'react', 'wp-a11y', 'wp-api-fetch', 'wp-block-editor', 'wp-block-library', 'wp-blocks', 'wp-components', 'wp-compose', 'wp-core-data', 'wp-data', 'wp-deprecated', 'wp-editor', 'wp-element', 'wp-hooks', 'wp-html-entities', 'wp-i18n', 'wp-keyboard-shortcuts', 'wp-keycodes', 'wp-media-utils', 'wp-notices', 'wp-plugins', 'wp-polyfill', 'wp-preferences', 'wp-primitives', 'wp-reusable-blocks', 'wp-url', 'wp-viewport'), 'version' => '6a729d88a0a0364280ff39c59a6d0a23'), 'edit-widgets.js' => array('dependencies' => array('lodash', 'wp-a11y', 'wp-api-fetch', 'wp-block-editor', 'wp-block-library', 'wp-blocks', 'wp-components', 'wp-compose', 'wp-core-data', 'wp-data', 'wp-deprecated', 'wp-dom', 'wp-element', 'wp-hooks', 'wp-i18n', 'wp-keyboard-shortcuts', 'wp-keycodes', 'wp-media-utils', 'wp-notices', 'wp-plugins', 'wp-polyfill', 'wp-preferences', 'wp-primitives', 'wp-reusable-blocks', 'wp-url', 'wp-viewport', 'wp-widgets'), 'version' => 'b3095664c3319cbfd4cb9c4b5d898cbc'), 'editor.js' => array('dependencies' => array('lodash', 'react', 'wp-a11y', 'wp-api-fetch', 'wp-block-editor', 'wp-blocks', 'wp-components', 'wp-compose', 'wp-core-data', 'wp-data', 'wp-date', 'wp-deprecated', 'wp-element', 'wp-hooks', 'wp-html-entities', 'wp-i18n', 'wp-keyboard-shortcuts', 'wp-keycodes', 'wp-media-utils', 'wp-notices', 'wp-polyfill', 'wp-preferences', 'wp-primitives', 'wp-reusable-blocks', 'wp-rich-text', 'wp-server-side-render', 'wp-url', 'wp-wordcount'), 'version' => 'eadee2063f95ef2f493c63643257c43b'), 'element.js' => array('dependencies' => array('lodash', 'react', 'react-dom', 'wp-escape-html', 'wp-polyfill'), 'version' => '49d63820dab84493986cc6596ed39663'), 'escape-html.js' => array('dependencies' => array('wp-polyfill'), 'version' => '8b2f29f7c1716fc96bacf79ab89d21e9'), 'format-library.js' => array('dependencies' => array('lodash', 'wp-a11y', 'wp-block-editor', 'wp-components', 'wp-data', 'wp-element', 'wp-html-entities', 'wp-i18n', 'wp-polyfill', 'wp-primitives', 'wp-rich-text', 'wp-url'), 'version' => '9927db3d677671f1a346a29fcc2180f9'), 'hooks.js' => array('dependencies' => array('wp-polyfill'), 'version' => 'ccb51dd1a27721f10dee463a611bfc99'), 'html-entities.js' => array('dependencies' => array('wp-polyfill'), 'version' => '0372a133b4e3e12173d5d0cc3e747871'), 'i18n.js' => array('dependencies' => array('wp-hooks', 'wp-polyfill'), 'version' => '1b8316f1560d573649c9e15bc4857d79'), 'is-shallow-equal.js' => array('dependencies' => array('wp-polyfill'), 'version' => '730c10803561d8ca50d6e8e31210e922'), 'keyboard-shortcuts.js' => array('dependencies' => array('lodash', 'wp-data', 'wp-element', 'wp-keycodes', 'wp-polyfill'), 'version' => '13e43af80f6a45c0b7ecbb227aa34994'), 'keycodes.js' => array('dependencies' => array('lodash', 'wp-i18n', 'wp-polyfill'), 'version' => '560d2751c661715556ba0ab8fca0db0a'), 'list-reusable-blocks.js' => array('dependencies' => array('lodash', 'wp-api-fetch', 'wp-components', 'wp-compose', 'wp-element', 'wp-i18n', 'wp-polyfill'), 'version' => '29a2b12c691398c6d5118523d63ab3c8'), 'media-utils.js' => array('dependencies' => array('lodash', 'wp-api-fetch', 'wp-blob', 'wp-element', 'wp-i18n', 'wp-polyfill'), 'version' => '9bfb6ab7dea0971ba82e77bd24c6aefc'), 'notices.js' => array('dependencies' => array('lodash', 'wp-data', 'wp-polyfill'), 'version' => '8fc315ccd6472e9241e49a34949ffe8a'), 'nux.js' => array('dependencies' => array('lodash', 'wp-components', 'wp-compose', 'wp-data', 'wp-deprecated', 'wp-element', 'wp-i18n', 'wp-polyfill', 'wp-primitives'), 'version' => 'c9a8c4d7dfcc849633b383655e7c8662'), 'plugins.js' => array('dependencies' => array('lodash', 'wp-compose', 'wp-element', 'wp-hooks', 'wp-polyfill', 'wp-primitives'), 'version' => 'bd4d110f51f389a762a7e61473c22350'), 'preferences.js' => array('dependencies' => array('wp-a11y', 'wp-components', 'wp-data', 'wp-element', 'wp-i18n', 'wp-polyfill', 'wp-primitives'), 'version' => 'f32e6cedd81679094dcf14c0fae3e6b7'), 'primitives.js' => array('dependencies' => array('wp-element', 'wp-polyfill'), 'version' => '7ffda4ca501f4d40e82bdf412db1d45b'), 'priority-queue.js' => array('dependencies' => array('wp-polyfill'), 'version' => '6a537f6ddde95a06ef1077dee52a2a71'), 'redux-routine.js' => array('dependencies' => array('lodash', 'wp-polyfill'), 'version' => 'e90ad549b17941e05ee8409b7c3235f9'), 'reusable-blocks.js' => array('dependencies' => array('lodash', 'wp-block-editor', 'wp-blocks', 'wp-components', 'wp-core-data', 'wp-data', 'wp-element', 'wp-i18n', 'wp-notices', 'wp-polyfill', 'wp-primitives', 'wp-url'), 'version' => '71ab9c24524b66e2e21e87c9a33d72e3'), 'rich-text.js' => array('dependencies' => array('lodash', 'wp-a11y', 'wp-compose', 'wp-data', 'wp-element', 'wp-escape-html', 'wp-i18n', 'wp-keycodes', 'wp-polyfill'), 'version' => 'c42727f6724a5263d2a557109a5786a7'), 'server-side-render.js' => array('dependencies' => array('lodash', 'wp-api-fetch', 'wp-blocks', 'wp-components', 'wp-compose', 'wp-data', 'wp-deprecated', 'wp-element', 'wp-i18n', 'wp-polyfill', 'wp-url'), 'version' => '08f14580ab971c3846fd8d13ab9fbf34'), 'shortcode.js' => array('dependencies' => array('lodash', 'wp-polyfill'), 'version' => 'd5e2f99fa8ebfb53df9caba414b50db3'), 'token-list.js' => array('dependencies' => array('lodash', 'wp-polyfill'), 'version' => 'cb146aeb16eca381359e4eb05617a3ff'), 'url.js' => array('dependencies' => array('lodash', 'wp-polyfill'), 'version' => '516ceec1315888dd899eafe91401d379'), 'viewport.js' => array('dependencies' => array('lodash', 'wp-compose', 'wp-data', 'wp-element', 'wp-polyfill'), 'version' => '1b4c357f4a965ed2de2dc3612fee47f0'), 'warning.js' => array('dependencies' => array('wp-polyfill'), 'version' => 'e9a30f6f4be627cdc8316075e2e54546'), 'widgets.js' => array('dependencies' => array('lodash', 'wp-api-fetch', 'wp-block-editor', 'wp-blocks', 'wp-components', 'wp-compose', 'wp-core-data', 'wp-data', 'wp-element', 'wp-i18n', 'wp-notices', 'wp-polyfill', 'wp-primitives'), 'version' => '3b37439eb1d7a3d2fd9ee7c7ffd6b947'), 'wordcount.js' => array('dependencies' => array('lodash', 'wp-polyfill'), 'version' => '0ccf52f1eeb33ab0798ca8d142032d99'));
+<?php return array('a11y.js' => array('dependencies' => array('wp-dom-ready', 'wp-i18n', 'wp-polyfill'), 'version' => '9955a48198ad4f2bd749aa49d40211c2'), 'annotations.js' => array('dependencies' => array('lodash', 'wp-data', 'wp-hooks', 'wp-i18n', 'wp-polyfill', 'wp-rich-text'), 'version' => '0b465be2288cfd18559519b5a6e1fb43'), 'api-fetch.js' => array('dependencies' => array('wp-i18n', 'wp-polyfill', 'wp-url'), 'version' => '3f6a6af95ed243112cc4aba4577879c9'), 'autop.js' => array('dependencies' => array('wp-polyfill'), 'version' => 'b22574be41df92ce2707c19720f8a6e4'), 'blob.js' => array('dependencies' => array('wp-polyfill'), 'version' => 'ac62b64d31905319c4b0207639b9e7dd'), 'block-directory.js' => array('dependencies' => array('lodash', 'wp-a11y', 'wp-api-fetch', 'wp-block-editor', 'wp-blocks', 'wp-components', 'wp-compose', 'wp-core-data', 'wp-data', 'wp-edit-post', 'wp-editor', 'wp-element', 'wp-hooks', 'wp-html-entities', 'wp-i18n', 'wp-notices', 'wp-plugins', 'wp-polyfill', 'wp-primitives', 'wp-url'), 'version' => '69dfff3260de53732af84ba07e2c9ec3'), 'block-editor.js' => array('dependencies' => array('lodash', 'react', 'react-dom', 'wp-a11y', 'wp-api-fetch', 'wp-blob', 'wp-blocks', 'wp-components', 'wp-compose', 'wp-data', 'wp-date', 'wp-deprecated', 'wp-dom', 'wp-element', 'wp-hooks', 'wp-html-entities', 'wp-i18n', 'wp-is-shallow-equal', 'wp-keyboard-shortcuts', 'wp-keycodes', 'wp-notices', 'wp-polyfill', 'wp-primitives', 'wp-rich-text', 'wp-shortcode', 'wp-token-list', 'wp-url', 'wp-warning', 'wp-wordcount'), 'version' => 'df9e66b0351a553834ab46fc3c44ff02'), 'block-library.js' => array('dependencies' => array('lodash', 'moment', 'wp-a11y', 'wp-api-fetch', 'wp-autop', 'wp-blob', 'wp-block-editor', 'wp-blocks', 'wp-components', 'wp-compose', 'wp-core-data', 'wp-data', 'wp-date', 'wp-deprecated', 'wp-dom', 'wp-element', 'wp-hooks', 'wp-html-entities', 'wp-i18n', 'wp-keycodes', 'wp-notices', 'wp-polyfill', 'wp-primitives', 'wp-reusable-blocks', 'wp-rich-text', 'wp-server-side-render', 'wp-url', 'wp-viewport'), 'version' => 'eb6e4a700236d2b8a42fb02369fa6dea'), 'block-serialization-default-parser.js' => array('dependencies' => array('wp-polyfill'), 'version' => 'e5be172c9d2a70d194446e28dca7b92a'), 'blocks.js' => array('dependencies' => array('lodash', 'wp-autop', 'wp-blob', 'wp-block-serialization-default-parser', 'wp-compose', 'wp-data', 'wp-deprecated', 'wp-dom', 'wp-element', 'wp-hooks', 'wp-html-entities', 'wp-i18n', 'wp-is-shallow-equal', 'wp-polyfill', 'wp-shortcode'), 'version' => '790bfa4f523b76df7bf8191c0bff9889'), 'components.js' => array('dependencies' => array('lodash', 'moment', 'react', 'react-dom', 'wp-a11y', 'wp-compose', 'wp-date', 'wp-deprecated', 'wp-dom', 'wp-element', 'wp-escape-html', 'wp-hooks', 'wp-i18n', 'wp-is-shallow-equal', 'wp-keycodes', 'wp-polyfill', 'wp-primitives', 'wp-rich-text', 'wp-warning'), 'version' => '95b978c4a62c0092bfa75c8c8400180a'), 'compose.js' => array('dependencies' => array('lodash', 'react', 'wp-deprecated', 'wp-dom', 'wp-element', 'wp-is-shallow-equal', 'wp-keycodes', 'wp-polyfill', 'wp-priority-queue'), 'version' => '31d1d3480ac3b8817a113cb8a143b32b'), 'core-data.js' => array('dependencies' => array('lodash', 'wp-api-fetch', 'wp-blocks', 'wp-data', 'wp-deprecated', 'wp-element', 'wp-html-entities', 'wp-i18n', 'wp-is-shallow-equal', 'wp-polyfill', 'wp-url'), 'version' => 'd061dfc2fd7b4900502ba87422cbbd3a'), 'customize-widgets.js' => array('dependencies' => array('lodash', 'wp-a11y', 'wp-block-editor', 'wp-block-library', 'wp-blocks', 'wp-components', 'wp-compose', 'wp-core-data', 'wp-data', 'wp-deprecated', 'wp-dom', 'wp-element', 'wp-hooks', 'wp-i18n', 'wp-is-shallow-equal', 'wp-keyboard-shortcuts', 'wp-keycodes', 'wp-media-utils', 'wp-plugins', 'wp-polyfill', 'wp-preferences', 'wp-primitives', 'wp-viewport', 'wp-widgets'), 'version' => 'f4bafb377016a586b81a90de6c8bf4b2'), 'data.js' => array('dependencies' => array('lodash', 'react', 'wp-compose', 'wp-deprecated', 'wp-element', 'wp-is-shallow-equal', 'wp-polyfill', 'wp-priority-queue', 'wp-redux-routine'), 'version' => 'a33a32786c3c4497cd5042b84387fbf2'), 'data-controls.js' => array('dependencies' => array('wp-api-fetch', 'wp-data', 'wp-deprecated', 'wp-polyfill'), 'version' => '12589686f5ca4db76be8584499da3a1b'), 'date.js' => array('dependencies' => array('moment', 'wp-polyfill'), 'version' => 'd738b2eefff50c40257956fde81bbc1f'), 'deprecated.js' => array('dependencies' => array('wp-hooks', 'wp-polyfill'), 'version' => '69a7e2ea1d8d5392bb0b6db66d5c4500'), 'dom.js' => array('dependencies' => array('lodash', 'wp-polyfill'), 'version' => 'a1847daeecaa2a6b272f60939db87cef'), 'dom-ready.js' => array('dependencies' => array('wp-polyfill'), 'version' => '03774ef51ae4221a441bcb7fc87d83d3'), 'edit-post.js' => array('dependencies' => array('lodash', 'wp-a11y', 'wp-api-fetch', 'wp-block-editor', 'wp-block-library', 'wp-blocks', 'wp-components', 'wp-compose', 'wp-core-data', 'wp-data', 'wp-deprecated', 'wp-editor', 'wp-element', 'wp-hooks', 'wp-i18n', 'wp-keyboard-shortcuts', 'wp-keycodes', 'wp-media-utils', 'wp-notices', 'wp-plugins', 'wp-polyfill', 'wp-preferences', 'wp-primitives', 'wp-url', 'wp-viewport', 'wp-warning'), 'version' => '073e1c606e69dc272ea62a2b39ceb009'), 'edit-site.js' => array('dependencies' => array('lodash', 'react', 'wp-a11y', 'wp-api-fetch', 'wp-block-editor', 'wp-block-library', 'wp-blocks', 'wp-components', 'wp-compose', 'wp-core-data', 'wp-data', 'wp-deprecated', 'wp-editor', 'wp-element', 'wp-hooks', 'wp-html-entities', 'wp-i18n', 'wp-keyboard-shortcuts', 'wp-keycodes', 'wp-media-utils', 'wp-notices', 'wp-plugins', 'wp-polyfill', 'wp-preferences', 'wp-primitives', 'wp-reusable-blocks', 'wp-url', 'wp-viewport'), 'version' => '6a729d88a0a0364280ff39c59a6d0a23'), 'edit-widgets.js' => array('dependencies' => array('lodash', 'wp-a11y', 'wp-api-fetch', 'wp-block-editor', 'wp-block-library', 'wp-blocks', 'wp-components', 'wp-compose', 'wp-core-data', 'wp-data', 'wp-deprecated', 'wp-dom', 'wp-element', 'wp-hooks', 'wp-i18n', 'wp-keyboard-shortcuts', 'wp-keycodes', 'wp-media-utils', 'wp-notices', 'wp-plugins', 'wp-polyfill', 'wp-preferences', 'wp-primitives', 'wp-reusable-blocks', 'wp-url', 'wp-viewport', 'wp-widgets'), 'version' => 'b3095664c3319cbfd4cb9c4b5d898cbc'), 'editor.js' => array('dependencies' => array('lodash', 'react', 'wp-a11y', 'wp-api-fetch', 'wp-block-editor', 'wp-blocks', 'wp-components', 'wp-compose', 'wp-core-data', 'wp-data', 'wp-date', 'wp-deprecated', 'wp-element', 'wp-hooks', 'wp-html-entities', 'wp-i18n', 'wp-keyboard-shortcuts', 'wp-keycodes', 'wp-media-utils', 'wp-notices', 'wp-polyfill', 'wp-preferences', 'wp-primitives', 'wp-reusable-blocks', 'wp-rich-text', 'wp-server-side-render', 'wp-url', 'wp-wordcount'), 'version' => 'eadee2063f95ef2f493c63643257c43b'), 'element.js' => array('dependencies' => array('lodash', 'react', 'react-dom', 'wp-escape-html', 'wp-polyfill'), 'version' => '49d63820dab84493986cc6596ed39663'), 'escape-html.js' => array('dependencies' => array('wp-polyfill'), 'version' => '8b2f29f7c1716fc96bacf79ab89d21e9'), 'format-library.js' => array('dependencies' => array('lodash', 'wp-a11y', 'wp-block-editor', 'wp-components', 'wp-data', 'wp-element', 'wp-html-entities', 'wp-i18n', 'wp-polyfill', 'wp-primitives', 'wp-rich-text', 'wp-url'), 'version' => '9927db3d677671f1a346a29fcc2180f9'), 'hooks.js' => array('dependencies' => array('wp-polyfill'), 'version' => 'ccb51dd1a27721f10dee463a611bfc99'), 'html-entities.js' => array('dependencies' => array('wp-polyfill'), 'version' => '0372a133b4e3e12173d5d0cc3e747871'), 'i18n.js' => array('dependencies' => array('wp-hooks', 'wp-polyfill'), 'version' => '1b8316f1560d573649c9e15bc4857d79'), 'is-shallow-equal.js' => array('dependencies' => array('wp-polyfill'), 'version' => '730c10803561d8ca50d6e8e31210e922'), 'keyboard-shortcuts.js' => array('dependencies' => array('lodash', 'wp-data', 'wp-element', 'wp-keycodes', 'wp-polyfill'), 'version' => '13e43af80f6a45c0b7ecbb227aa34994'), 'keycodes.js' => array('dependencies' => array('lodash', 'wp-i18n', 'wp-polyfill'), 'version' => '560d2751c661715556ba0ab8fca0db0a'), 'list-reusable-blocks.js' => array('dependencies' => array('lodash', 'wp-api-fetch', 'wp-components', 'wp-compose', 'wp-element', 'wp-i18n', 'wp-polyfill'), 'version' => '29a2b12c691398c6d5118523d63ab3c8'), 'media-utils.js' => array('dependencies' => array('lodash', 'wp-api-fetch', 'wp-blob', 'wp-element', 'wp-i18n', 'wp-polyfill'), 'version' => '9bfb6ab7dea0971ba82e77bd24c6aefc'), 'notices.js' => array('dependencies' => array('lodash', 'wp-data', 'wp-polyfill'), 'version' => '8fc315ccd6472e9241e49a34949ffe8a'), 'nux.js' => array('dependencies' => array('lodash', 'wp-components', 'wp-compose', 'wp-data', 'wp-deprecated', 'wp-element', 'wp-i18n', 'wp-polyfill', 'wp-primitives'), 'version' => 'c9a8c4d7dfcc849633b383655e7c8662'), 'plugins.js' => array('dependencies' => array('lodash', 'wp-compose', 'wp-element', 'wp-hooks', 'wp-polyfill', 'wp-primitives'), 'version' => 'bd4d110f51f389a762a7e61473c22350'), 'preferences.js' => array('dependencies' => array('wp-a11y', 'wp-components', 'wp-data', 'wp-element', 'wp-i18n', 'wp-polyfill', 'wp-primitives'), 'version' => 'f32e6cedd81679094dcf14c0fae3e6b7'), 'primitives.js' => array('dependencies' => array('wp-element', 'wp-polyfill'), 'version' => '7ffda4ca501f4d40e82bdf412db1d45b'), 'priority-queue.js' => array('dependencies' => array('wp-polyfill'), 'version' => '6a537f6ddde95a06ef1077dee52a2a71'), 'redux-routine.js' => array('dependencies' => array('lodash', 'wp-polyfill'), 'version' => 'e90ad549b17941e05ee8409b7c3235f9'), 'reusable-blocks.js' => array('dependencies' => array('lodash', 'wp-block-editor', 'wp-blocks', 'wp-components', 'wp-core-data', 'wp-data', 'wp-element', 'wp-i18n', 'wp-notices', 'wp-polyfill', 'wp-primitives', 'wp-url'), 'version' => '71ab9c24524b66e2e21e87c9a33d72e3'), 'rich-text.js' => array('dependencies' => array('lodash', 'wp-a11y', 'wp-compose', 'wp-data', 'wp-element', 'wp-escape-html', 'wp-i18n', 'wp-keycodes', 'wp-polyfill'), 'version' => 'c42727f6724a5263d2a557109a5786a7'), 'server-side-render.js' => array('dependencies' => array('lodash', 'wp-api-fetch', 'wp-blocks', 'wp-components', 'wp-compose', 'wp-data', 'wp-deprecated', 'wp-element', 'wp-i18n', 'wp-polyfill', 'wp-url'), 'version' => '08f14580ab971c3846fd8d13ab9fbf34'), 'shortcode.js' => array('dependencies' => array('lodash', 'wp-polyfill'), 'version' => 'd5e2f99fa8ebfb53df9caba414b50db3'), 'token-list.js' => array('dependencies' => array('lodash', 'wp-polyfill'), 'version' => 'cb146aeb16eca381359e4eb05617a3ff'), 'url.js' => array('dependencies' => array('lodash', 'wp-polyfill'), 'version' => '516ceec1315888dd899eafe91401d379'), 'viewport.js' => array('dependencies' => array('lodash', 'wp-compose', 'wp-data', 'wp-element', 'wp-polyfill'), 'version' => '1b4c357f4a965ed2de2dc3612fee47f0'), 'warning.js' => array('dependencies' => array('wp-polyfill'), 'version' => 'e9a30f6f4be627cdc8316075e2e54546'), 'widgets.js' => array('dependencies' => array('lodash', 'wp-api-fetch', 'wp-block-editor', 'wp-blocks', 'wp-components', 'wp-compose', 'wp-core-data', 'wp-data', 'wp-element', 'wp-i18n', 'wp-notices', 'wp-polyfill', 'wp-primitives'), 'version' => '3b37439eb1d7a3d2fd9ee7c7ffd6b947'), 'wordcount.js' => array('dependencies' => array('lodash', 'wp-polyfill'), 'version' => '0ccf52f1eeb33ab0798ca8d142032d99'));
Index: /trunk/src/wp-includes/script-loader.php
===================================================================
--- /trunk/src/wp-includes/script-loader.php	(revision 53163)
+++ /trunk/src/wp-includes/script-loader.php	(revision 53164)
@@ -969,6 +969,6 @@
 	did_action( 'init' ) && $scripts->add_data( 'json2', 'conditional', 'lt IE 8' );
 
-	$scripts->add( 'underscore', "/wp-includes/js/underscore$dev_suffix.js", array(), '1.13.1', 1 );
-	$scripts->add( 'backbone', "/wp-includes/js/backbone$dev_suffix.js", array( 'underscore', 'jquery' ), '1.4.0', 1 );
+	$scripts->add( 'underscore', "/wp-includes/js/underscore$dev_suffix.js", array(), '1.13.2', 1 );
+	$scripts->add( 'backbone', "/wp-includes/js/backbone$dev_suffix.js", array( 'underscore', 'jquery' ), '1.4.1', 1 );
 
 	$scripts->add( 'wp-util', "/wp-includes/js/wp-util$suffix.js", array( 'underscore', 'jquery' ), false, 1 );