Index: /trunk/src/wp-includes/general-template.php
===================================================================
--- /trunk/src/wp-includes/general-template.php	(revision 53739)
+++ /trunk/src/wp-includes/general-template.php	(revision 53740)
@@ -8,5 +8,5 @@
 
 /**
- * Load header template.
+ * Loads header template.
  *
  * Includes the header template for a theme or if a name is specified then a
@@ -52,5 +52,5 @@
 
 /**
- * Load footer template.
+ * Loads footer template.
  *
  * Includes the footer template for a theme or if a name is specified then a
@@ -96,5 +96,5 @@
 
 /**
- * Load sidebar template.
+ * Loads sidebar template.
  *
  * Includes the sidebar template for a theme or if a name is specified then a
@@ -208,5 +208,5 @@
 
 /**
- * Display search form.
+ * Displays search form.
  *
  * Will first attempt to locate the searchform.php file in either the child or
@@ -363,5 +363,5 @@
 
 /**
- * Display the Log In/Out link.
+ * Displays the Log In/Out link.
  *
  * Displays a link, which allows users to navigate to the Log In page to log in
@@ -630,5 +630,5 @@
 
 /**
- * Returns the URL that allows the user to retrieve the lost password
+ * Returns the URL that allows the user to retrieve the lost password.
  *
  * @since 2.8.0
@@ -667,5 +667,5 @@
 
 /**
- * Display the Registration or Admin link.
+ * Displays the Registration or Admin link.
  *
  * Display a link which allows the user to navigate to the registration page if
@@ -992,5 +992,5 @@
 
 /**
- * Whether the site has a Site Icon.
+ * Determines whether the site has a Site Icon.
  *
  * @since 4.3.0
@@ -1294,5 +1294,5 @@
 
 /**
- * Display or retrieve page title for all areas of blog.
+ * Displays or retrieves page title for all areas of blog.
  *
  * By default, the page title will display the separator before the page title,
@@ -1448,5 +1448,5 @@
 
 /**
- * Display or retrieve page title for post.
+ * Displays or retrieves page title for post.
  *
  * This is optimized for single.php template file for displaying the post title.
@@ -1487,5 +1487,5 @@
 
 /**
- * Display or retrieve title for a post type archive.
+ * Displays or retrieves title for a post type archive.
  *
  * This is optimized for archive.php and archive-{$post_type}.php template files
@@ -1528,5 +1528,5 @@
 
 /**
- * Display or retrieve page title for category archive.
+ * Displays or retrieves page title for category archive.
  *
  * Useful for category template files for displaying the category page title.
@@ -1545,5 +1545,5 @@
 
 /**
- * Display or retrieve page title for tag post archive.
+ * Displays or retrieves page title for tag post archive.
  *
  * Useful for tag template files for displaying the tag page title. The prefix
@@ -1562,5 +1562,5 @@
 
 /**
- * Display or retrieve page title for taxonomy term archive.
+ * Displays or retrieves page title for taxonomy term archive.
  *
  * Useful for taxonomy term template files for displaying the taxonomy term page title.
@@ -1624,5 +1624,5 @@
 
 /**
- * Display or retrieve page title for post archive based on date.
+ * Displays or retrieves page title for post archive based on date.
  *
  * Useful for when the template only needs to display the month and year,
@@ -1667,5 +1667,5 @@
 
 /**
- * Display the archive title based on the queried object.
+ * Displays the archive title based on the queried object.
  *
  * @since 4.1.0
@@ -1685,5 +1685,5 @@
 
 /**
- * Retrieve the archive title based on the queried object.
+ * Retrieves the archive title based on the queried object.
  *
  * @since 4.1.0
@@ -1783,5 +1783,5 @@
 
 /**
- * Display category, tag, term, or author description.
+ * Displays category, tag, term, or author description.
  *
  * @since 4.1.0
@@ -1864,5 +1864,5 @@
 
 /**
- * Retrieve archive link content based on predefined or custom code.
+ * Retrieves archive link content based on predefined or custom code.
  *
  * The format can be one of four styles. The 'link' for head element, 'option'
@@ -1933,5 +1933,5 @@
 
 /**
- * Display archive links based on type and format.
+ * Displays archive links based on type and format.
  *
  * @since 1.2.0
@@ -2193,5 +2193,5 @@
 
 /**
- * Get number of days since the start of the week.
+ * Gets number of days since the start of the week.
  *
  * @since 1.5.0
@@ -2206,5 +2206,5 @@
 
 /**
- * Display calendar with days that have posts as links.
+ * Displays calendar with days that have posts as links.
  *
  * The calendar is cached, which will be retrieved, if it exists. If there are
@@ -2447,5 +2447,5 @@
 
 /**
- * Purge the cached results of get_calendar.
+ * Purges the cached results of get_calendar.
  *
  * @see get_calendar()
@@ -2457,5 +2457,5 @@
 
 /**
- * Display all of the allowed tags in HTML format with attributes.
+ * Displays all of the allowed tags in HTML format with attributes.
  *
  * This is useful for displaying in the comment area, which elements and
@@ -2496,5 +2496,5 @@
 
 /**
- * Display or Retrieve the date the current post was written (once per date)
+ * Displays or retrieves the date the current post was written (once per date)
  *
  * Will only output the date if the current post's date is different from the
@@ -2548,5 +2548,5 @@
 
 /**
- * Retrieve the date on which the post was written.
+ * Retrieves the date on which the post was written.
  *
  * Unlike the_date() this function will always return the date.
@@ -2583,5 +2583,5 @@
 
 /**
- * Display the date on which the post was last modified.
+ * Displays the date on which the post was last modified.
  *
  * @since 2.1.0
@@ -2617,5 +2617,5 @@
 
 /**
- * Retrieve the date on which the post was last modified.
+ * Retrieves the date on which the post was last modified.
  *
  * @since 2.1.0
@@ -2652,5 +2652,5 @@
 
 /**
- * Display the time at which the post was written.
+ * Displays the time at which the post was written.
  *
  * @since 0.71
@@ -2674,5 +2674,5 @@
 
 /**
- * Retrieve the time at which the post was written.
+ * Retrieves the time at which the post was written.
  *
  * @since 1.5.0
@@ -2710,5 +2710,5 @@
 
 /**
- * Retrieve the time at which the post was written.
+ * Retrieves the time at which the post was written.
  *
  * @since 2.0.0
@@ -2767,5 +2767,5 @@
 
 /**
- * Retrieve post published or modified time as a `DateTimeImmutable` object instance.
+ * Retrieves post published or modified time as a `DateTimeImmutable` object instance.
  *
  * The object will be set to the timezone from WordPress settings.
@@ -2816,5 +2816,5 @@
 
 /**
- * Retrieve post published or modified time as a Unix timestamp.
+ * Retrieves post published or modified time as a Unix timestamp.
  *
  * Note that this function returns a true Unix timestamp, not summed with timezone offset
@@ -2839,5 +2839,5 @@
 
 /**
- * Display the time at which the post was last modified.
+ * Displays the time at which the post was last modified.
  *
  * @since 2.0.0
@@ -2861,5 +2861,5 @@
 
 /**
- * Retrieve the time at which the post was last modified.
+ * Retrieves the time at which the post was last modified.
  *
  * @since 2.0.0
@@ -2899,5 +2899,5 @@
 
 /**
- * Retrieve the time at which the post was last modified.
+ * Retrieves the time at which the post was last modified.
  *
  * @since 2.0.0
@@ -2956,5 +2956,5 @@
 
 /**
- * Display the weekday on which the post was written.
+ * Displays the weekday on which the post was written.
  *
  * @since 0.71
@@ -2984,5 +2984,5 @@
 
 /**
- * Display the weekday on which the post was written.
+ * Displays the weekday on which the post was written.
  *
  * Will only output the weekday if the current post's weekday is different from
@@ -3029,5 +3029,5 @@
 
 /**
- * Fire the wp_head action.
+ * Fires the wp_head action.
  *
  * See {@see 'wp_head'}.
@@ -3045,5 +3045,5 @@
 
 /**
- * Fire the wp_footer action.
+ * Fires the wp_footer action.
  *
  * See {@see 'wp_footer'}.
@@ -3061,5 +3061,5 @@
 
 /**
- * Fire the wp_body_open action.
+ * Fires the wp_body_open action.
  *
  * See {@see 'wp_body_open'}.
@@ -3077,5 +3077,5 @@
 
 /**
- * Display the links to the general feeds.
+ * Displays the links to the general feeds.
  *
  * @since 2.8.0
@@ -3123,5 +3123,5 @@
 
 /**
- * Display the links to the extra feeds such as category feeds.
+ * Displays the links to the extra feeds such as category feeds.
  *
  * @since 2.8.0
@@ -3213,5 +3213,5 @@
 
 /**
- * Display the link to the Really Simple Discovery service endpoint.
+ * Displays the link to the Really Simple Discovery service endpoint.
  *
  * @link http://archipelago.phrasewise.com/rsd
@@ -3223,5 +3223,5 @@
 
 /**
- * Display the link to the Windows Live Writer manifest file.
+ * Displays the link to the Windows Live Writer manifest file.
  *
  * @link https://msdn.microsoft.com/en-us/library/bb463265.aspx
@@ -3251,5 +3251,5 @@
 
 /**
- * Display site icon meta tags.
+ * Displays site icon meta tags.
  *
  * @since 4.3.0
@@ -3460,5 +3460,5 @@
 
 /**
- * Whether the user can access the visual editor.
+ * Determines whether the user can access the visual editor.
  *
  * Checks if the user can access the visual editor and that it's supported by the user's browser.
@@ -3504,5 +3504,5 @@
 
 /**
- * Find out which editor should be displayed by default.
+ * Finds out which editor should be displayed by default.
  *
  * Works out which of the two editors to display as the current editor for a
@@ -3576,5 +3576,5 @@
 
 /**
- * Enqueue assets needed by the code editor for the given settings.
+ * Enqueues assets needed by the code editor for the given settings.
  *
  * @since 4.9.0
@@ -3669,5 +3669,5 @@
 
 /**
- * Generate and return code editor settings.
+ * Generates and returns code editor settings.
  *
  * @since 5.0.0
@@ -4688,5 +4688,5 @@
 
 /**
- * Display the generator XML or Comment for RSS, ATOM, etc.
+ * Displays the generator XML or Comment for RSS, ATOM, etc.
  *
  * Returns the correct generator type for the requested output format. Allows
@@ -4909,7 +4909,7 @@
 
 /**
- * Default settings for heartbeat
- *
- * Outputs the nonce used in the heartbeat XHR
+ * Default settings for heartbeat.
+ *
+ * Outputs the nonce used in the heartbeat XHR.
  *
  * @since 3.6.0